$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_6_30-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_6_30-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = '5dac4855ea0ec0ba9c98cacc76c554387e443b6b27b01be50696a2bf01177698'
  checksumType  = 'sha256'
  checksum64    = 'ee8294148ea197d3e923c80745e1338a297b3165af7fb73342d385eb2b9077f1'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
